Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libewf-tools-20140811-1.1 RPM for armv7hl

From OpenSuSE Ports Tumbleweed for armv7hl

Name: libewf-tools Distribution: openSUSE Tumbleweed
Version: 20140811 Vendor: openSUSE
Release: 1.1 Build date: Sun Jun 27 19:08:56 2021
Group: System/Filesystems Build host: armbuild01
Size: 491142 Source RPM: libewf-20140811-1.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/libyal/libewf-legacy
Summary: Utilities for the Expert Witness Compression Format (EWF)
Several tools for reading and writing EWF files.
It contains tools to acquire, verify and export EWF files.

Provides

Requires

License

LGPL-3.0-or-later

Changelog

* Sat Jun 26 2021 Jan Engelhardt <jengelh@inai.de>
  - Drop python2 module build.
* Fri May 14 2021 Jan Engelhardt <jengelh@inai.de>
  - Update to snapshot (a791283c)
    * No changelog was provided.
  - Add system-libs.patch
* Sat Dec 12 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
  - update to libewf-20140811
    * address errors in retries in ewfacquire
    * changes to libmfdata
    * changes to ewfwrite
  - change Requires python-fuse to python3-fuse
  - requires libbfio v20201127 or newer
* Sun Jan 26 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
  - update to libewf-20140808
    * 2014 is the stable branch. 20140808 was released Dec 25, 2019
    * update libyal packages to Jan 2019 versions
    * Added deflate and adler32 fallback implementations
    * Removed dependency on libcstring and libcsystem
    * Added Python 3 support for pyewf
  - add %sosuffix variable and set it to 2
  - update URL and Source fields to current web locations
  - use separate libyal packages, not internal copies
* Fri Jan 17 2020 Matej Cepl <mcepl@suse.com>
  - Switch on building of python3 bindings, and make building of
    python2 bindings conditional (default off).
* Fri Apr 19 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
  - Use the built in version of libcpath
    * libcpath has been updated and one of the functions renamed
    * until libewf is updated the internal version of libcpath must be used
* Sun Jan 14 2018 Greg.Freemyer@gmail.com
  - fix a problem with the python to python2 rename
* Wed Oct 11 2017 Greg.Freemyer@gmail.com
  - add skeleton python3 support - upstream doesn't have python 3 in the stable release
  - rename python-libewf to python2-libewf to be compatible with python singlespec
  - remove pyewf as it isn't versioned and isn't singlespec compatible
* Sat Jan 10 2015 Greg.Freemyer@gmail.com
  - clean up buildrequires section
  - remove %if opensuse.  Not needed now that libyal is in security:forensics.
  - begin to use newly released libyal packages from OBS
* Mon Aug 25 2014 Greg.Freemyer@gmail.com
  - The latest update of libsmraw in factory is not building right in libewf.
    - Use internal version instead
  - add a version number to Provides: pyewf
* Wed Aug 20 2014 Greg.Freemyer@gmail.com
  - update to libewf-20140608
    * worked on integrating multi threaded ewfacquire changes
    * bug fix for utf16 header functions
    * bug fix in ewfmount regarding logical files date and time values
    * make pyewf_handle_open more strict to catch non-string objects
    without the check the code will segfault on non-string objects
    * bug fixes in empty block compression
    * bug fix in libewf_read_io_handle_read_chunk_data error tolerance
    code path
    * bug fix in recent process status changes
    * changed behavior of empty-block check
  - review BuildRequires for new external packages
  - use external packages where possible
  - added to python sub-package section
    - Requires:       %{lname} = %{version"
    - Provides:       pyewf
  - ran spec-cleaner
* Mon Feb 03 2014 varadgautam@gmail.com
  - update to libewf-20140201
  - remove nonexistent README.dll from %doc
* Wed Jul 31 2013 Greg.Freemyer@gmail.com
  - update to 0~20130416
    * changes to zlib.m4 for adler32 detection
  - add Obsoletes/Provides pair for ewftools.  That was the old name of the tool package.
* Fri Apr 05 2013 jengelh@inai.de
  - Cleanups: Set RPM group, license, summary and description
    metadata; remove unused %py_requires; do not bloat shlib package
    with documentation
  - Use system libraries instead of bundled ones where possible
  - Name the tools package according to upstream's recommendation
  - Drop unnecessary -fno-strict-aliasing
* Wed Apr 03 2013 Greg.Freemyer@gmail.com
  - update to latest release 20130331
    * more sync with experimental version
    * improved error tolerance for issue 8
    * updated libsmdev to fix issue 13
  - add 2 documentation files provided by upstream
  - fix a illegal group setting
  - update %files sections to match sample specfile in source tree
  - update Requires and BuildRequires to match sample specfile in source tree
* Fri Mar 08 2013 Greg.Freemyer@gmail.com
  - ensure fuse-devel is installed during build so the ./configure will find it
  - ewfmount fails in some circumstances without this
* Wed Feb 13 2013 hpj@urpla.net
  - update to libewf-20130128
  - more sync to closer match the experimental version
  - updated pyewf doc strings
  - updated examples
  - fix for zero sized section corruption scenario
* Tue Dec 11 2012 Greg.Freemyer@gmail.com
  - update to libewf-20121209
    removed memwatch and gettext
  - change license back to LGPL-3.0+
  - closes BNC# 778993
  - create new sub-package python-libewf with python bindings
* Thu Sep 06 2012 Greg.Freemyer@gmail.com
  - change license to GPL-3.0+ until upstream resolves LGPL-3.0+ status (BNC# 778993)
  - run spec-cleaner
  - make soname a define
  - remove requires libewf from ewftools sub-package
* Wed Sep 05 2012 Greg.Freemyer@gmail.com
  - upgrade to libewf-20120813
    * Bug fixes and multiple enhancements
    * soname update from 1 to 2
    * see ChangeLog
  - remove pyver patch, now upstream
  - add remove_date_time_macros.patch to keep builds consistent
  - add zlib as requires as per sample specfile in tarball
  - Add SLES build support
* Wed Feb 08 2012 saschpe@suse.de
  - Spec file cleanup:
    * Provide sane versioning, this will break updates in the 'security'
      project now, but this is better than breaking Factory updates later.
    * Don't "rm -rf %buildroot" in the %install section
    * Use upstream tarballs
    * Cleanup BuildRequires
* Mon Feb 06 2012 cfarrell@suse.com
  - license update: LGPL-3.0+
    No indication that LGPL-3.0 is the license (i.e. only). Looks like
    LGPL-3.0+
* Sun Sep 04 2011 toganm@opensuse.org
  - Reworked spec based on fedora package
  - TODO
    +enable disktype for requires
* Tue Sep 14 2010 toganm@opensuse.org
  - Initial opensuse build service checkin

Files

/sbin/mount.ewf
/sbin/umount.ewf
/usr/bin/ewfacquire
/usr/bin/ewfacquirestream
/usr/bin/ewfdebug
/usr/bin/ewfexport
/usr/bin/ewfinfo
/usr/bin/ewfmount
/usr/bin/ewfrecover
/usr/bin/ewfverify
/usr/share/man/man1/ewfacquire.1.gz
/usr/share/man/man1/ewfacquirestream.1.gz
/usr/share/man/man1/ewfexport.1.gz
/usr/share/man/man1/ewfinfo.1.gz
/usr/share/man/man1/ewfmount.1.gz
/usr/share/man/man1/ewfrecover.1.gz
/usr/share/man/man1/ewfverify.1.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 30 23:41:30 2021